Remove MANIFEST.in as it is not explicitly needed by PBR

Bug #1608980 reported by yatin on 2016-08-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
BaGPipe
Undecided
Unassigned
DragonFlow
Undecided
Hong Hui Xiao
Glance
Low
Unassigned
Karbor
Undecided
iswarya vakati
Kosmos
Undecided
Deepak Jon
Magnum
Fix Released
Low
yatin
Neutron LBaaS Dashboard
Fix Released
Undecided
Unassigned
OpenStack DBaaS (Trove)
Undecided
iswarya vakati
OpenStack Identity (keystone)
Wishlist
iswarya vakati
OpenStack Object Storage (swift)
Undecided
iswarya vakati
OpenStack Searchlight
Fix Released
Low
iswarya vakati
Solum
Undecided
iswarya vakati
Swift Authentication
Undecided
abdul nizamuddin
Tricircle
Undecided
Zhiyuan Cai
Zun
Undecided
iswarya vakati
anvil
Undecided
Jane Lee
craton
Undecided
Deepak Jon
ec2-api
Low
iswarya vakati
gce-api
Low
iswarya vakati
keystoneauth
Undecided
Jeremy Liu
keystonemiddleware
Undecided
Spencer Yu
masakari
Low
Deepak Jon
networking-bgpvpn
Undecided
Thomas Morin
networking-midonet
Undecided
Unassigned
networking-odl
Undecided
iswarya vakati
neutron
Undecided
Shashi
octavia
Fix Released
Undecided
Deepak Jon
os-vif
Undecided
Spencer Yu
python-searchlightclient
Undecided
iswarya vakati
storlets
Undecided
luqitao
tacker
Undecided
luqitao
watcher
Undecided
iswarya vakati

Bug Description

PBR do not explicitly require MANIFEST.in, so it can be removed.

Snippet from: http://docs.openstack.org/infra/manual/developers.html

Manifest

Just like AUTHORS and ChangeLog, why keep a list of files you wish to include when you can find many of these in git. MANIFEST.in generation ensures almost all files stored in git, with the exception of .gitignore, .gitreview and .pyc files, are automatically included in your distribution. In addition, the generated AUTHORS and ChangeLog files are also included. In many cases, this removes the need for an explicit ‘MANIFEST.in’ file

yatin (yatinkarel) on 2016-08-02
Changed in magnum:
assignee: nobody → yatin (yatinkarel)
status: New → In Progress
Adrian Otto (aotto) on 2016-08-05
Changed in magnum:
importance: Undecided → Low

Reviewed: https://review.openstack.org/350063
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=b6583921f498c8ce0d1386e56252c9ec2a9bb548
Submitter: Jenkins
Branch: master

commit b6583921f498c8ce0d1386e56252c9ec2a9bb548
Author: yatin karel <email address hidden>
Date: Tue Aug 2 20:05:00 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Magnum already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: Ia4dbe462e3d416565c538361f0c4f06fd35c8ab4
    Closes-Bug: #1608980

Changed in magnum:
status: In Progress → Fix Released

This issue was fixed in the openstack/magnum 3.0.0 release.

avnish (avnish-palmca) on 2016-09-22
Changed in tricircle:
assignee: nobody → avnish (avnish-palmca)

Fix proposed to branch: master
Review: https://review.openstack.org/374559

Changed in tricircle:
status: New → In Progress
avnish (avnish-palmca) on 2016-09-22
Changed in neutron-lbaas-dashboard:
assignee: nobody → avnish (avnish-palmca)
Changed in masakari:
assignee: nobody → Deepak (deepak.os31)
Changed in octavia:
assignee: nobody → Deepak (deepak.os31)
Changed in craton:
assignee: nobody → Deepak (deepak.os31)
Changed in kosmos:
assignee: nobody → Deepak (deepak.os31)
Changed in neutron-lbaas-dashboard:
status: New → Confirmed
Changed in tricircle:
assignee: avnish (avnish-palmca) → Zhiyuan Cai (luckyvega-g)

Reviewed: https://review.openstack.org/374559
Committed: https://git.openstack.org/cgit/openstack/tricircle/commit/?id=0f003215df8ef9faabbdd009d4d9cd3a7efae220
Submitter: Jenkins
Branch: master

commit 0f003215df8ef9faabbdd009d4d9cd3a7efae220
Author: avnish <email address hidden>
Date: Thu Sep 22 12:11:52 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Tricircle already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I722651c1c3082ec59c0408a12db7b14c404d7ce7
    Closes-Bug: #1608980

Changed in tricircle:
status: In Progress → Fix Released
Shashi (shashi-kant) on 2016-10-13
Changed in neutron:
assignee: nobody → Shashi (shashi-kant)

Fix proposed to branch: master
Review: https://review.openstack.org/385901

Changed in neutron:
status: New → In Progress
Changed in craton:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/385917

Changed in masakari:
status: New → In Progress
Changed in octavia:
status: New → In Progress
Changed in trove:
assignee: nobody → iswarya vakati (v-iswarya)

Fix proposed to branch: master
Review: https://review.openstack.org/385939

Changed in trove:
status: New → In Progress
Changed in solum:
assignee: nobody → iswarya vakati (v-iswarya)

Fix proposed to branch: master
Review: https://review.openstack.org/385955

Changed in solum:
status: New → In Progress
Changed in zun:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in watcher:
assignee: nobody → iswarya vakati (v-iswarya)

Fix proposed to branch: master
Review: https://review.openstack.org/385965

Changed in watcher:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/385968

Changed in zun:
status: New → In Progress

Reviewed: https://review.openstack.org/385968
Committed: https://git.openstack.org/cgit/openstack/zun/commit/?id=9b805918882abcf36145ddd9ef6e69889273c5ec
Submitter: Jenkins
Branch: master

commit 9b805918882abcf36145ddd9ef6e69889273c5ec
Author: Iswarya_Vakati <email address hidden>
Date: Thu Oct 13 18:21:37 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Zun already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I30830509234c2e37759b97502bb9fd5a9e7036dd
    Closes-Bug:#1608980

Changed in zun:
status: In Progress → Fix Released
Changed in searchlight:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in karbor:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in ec2-api:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in gce-api:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in ec2-api:
importance: Undecided → Low
status: New → Confirmed
Changed in gce-api:
importance: Undecided → Low
status: New → Confirmed

Reviewed: https://review.openstack.org/385918
Committed: https://git.openstack.org/cgit/openstack/octavia/commit/?id=9fe5317e004e723d5ad9141cf1e5e90c5f8fe2e5
Submitter: Jenkins
Branch: master

commit 9fe5317e004e723d5ad9141cf1e5e90c5f8fe2e5
Author: Deepak <email address hidden>
Date: Thu Oct 13 16:57:37 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    octavia already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I0b6a7a6eb3be8c1982a4fd7576dea1db9890f69c
    Closes-Bug: #1608980

Changed in octavia:
status: In Progress → Fix Released
Changed in keystone:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in swift:
assignee: nobody → iswarya vakati (v-iswarya)

Fix proposed to branch: master
Review: https://review.openstack.org/386348

Changed in ec2-api:
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/386350

Changed in gce-api:
status: Confirmed → In Progress
Changed in keystone:
milestone: none → ocata-1

Fix proposed to branch: master
Review: https://review.openstack.org/386351

Changed in karbor:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/386384

Changed in keystone:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/386386

Changed in searchlight:
status: New → In Progress
Changed in gce-api:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/386350
Committed: https://git.openstack.org/cgit/openstack/gce-api/commit/?id=fc1ecdb2f5e095c85ed152b1fb4afddc292b6382
Submitter: Jenkins
Branch: master

commit fc1ecdb2f5e095c85ed152b1fb4afddc292b6382
Author: Iswarya_Vakati <email address hidden>
Date: Fri Oct 14 10:37:45 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    gce-api already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: Ib4bdaac96e54e2b01064e1d54b2291b6f6d64010
    Closes-Bug:#1608980

Fix proposed to branch: master
Review: https://review.openstack.org/386392

Changed in swift:
status: New → In Progress
Changed in swauth:
assignee: nobody → abdul nizamuddin (abdul-nizamuddin)
status: New → In Progress
Changed in python-searchlightclient:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in python-searchlightclient:
status: New → In Progress

Reviewed: https://review.openstack.org/385901
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=43f5b5912f91d04ea9abcc8ea386b0ad2448da7b
Submitter: Jenkins
Branch: master

commit 43f5b5912f91d04ea9abcc8ea386b0ad2448da7b
Author: shashi.kant <email address hidden>
Date: Thu Oct 13 16:12:42 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Neutron already uses PBR:- setuptools.setup(
     setup_requires=['pbr>=1.8'],
     pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I902f29fedb4b756af978af52927bd32a51270dc8
    Closes-Bug: #1608980

Changed in neutron:
status: In Progress → Fix Released
Changed in keystone:
importance: Undecided → Wishlist

Reviewed: https://review.openstack.org/385939
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=12f53b746dacb3aa7a246d0fbca4feb844dd735b
Submitter: Jenkins
Branch: master

commit 12f53b746dacb3aa7a246d0fbca4feb844dd735b
Author: Iswarya_Vakati <email address hidden>
Date: Thu Oct 13 17:15:03 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Trove already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: Ib37dde9c9fa0abe43a326ed2476effee04734daa
    Closes-Bug:#1608980

Changed in trove:
status: In Progress → Fix Released
Changed in masakari:
importance: Undecided → Low

Reviewed: https://review.openstack.org/385917
Committed: https://git.openstack.org/cgit/openstack/masakari/commit/?id=03369d1ef45f0a2d3bbc43fcf4be43c251fdce60
Submitter: Jenkins
Branch: master

commit 03369d1ef45f0a2d3bbc43fcf4be43c251fdce60
Author: Deepak <email address hidden>
Date: Thu Oct 13 16:53:34 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    masakari already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I494f44d8358511bf80ccedc3043277d7c9a8ea9f
    Closes-Bug: #1608980

Changed in masakari:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/385965
Committed: https://git.openstack.org/cgit/openstack/watcher/commit/?id=63312747089e8a5388a455aea65b9c605a931c37
Submitter: Jenkins
Branch: master

commit 63312747089e8a5388a455aea65b9c605a931c37
Author: Iswarya_Vakati <email address hidden>
Date: Thu Oct 13 18:14:59 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    watcher already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: If1b80738e28d71fd9e9bb4939f94adfd721a041a
    Closes-Bug:#1608980

Changed in watcher:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/385905
Committed: https://git.openstack.org/cgit/openstack/craton/commit/?id=4b17e89c76a90d3cb934c554927e27d839fda53e
Submitter: Jenkins
Branch: master

commit 4b17e89c76a90d3cb934c554927e27d839fda53e
Author: Deepak <email address hidden>
Date: Thu Oct 13 16:26:20 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    craton already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I52408a14c7e901e36b6a1d79ec2058d2c8e4dcd6
    Closes-Bug: #1608980

Changed in craton:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/386384
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=25d0535a9e25aba92e88a6d27fba83ca3606101c
Submitter: Jenkins
Branch: master

commit 25d0535a9e25aba92e88a6d27fba83ca3606101c
Author: Iswarya_Vakati <email address hidden>
Date: Fri Oct 14 11:18:14 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Keystone already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I12c08e895c2d4516e771cc6b505fd25322e2660d
    Closes-Bug:#1608980

Changed in keystone:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/386968
Committed: https://git.openstack.org/cgit/openstack/neutron-lbaas/commit/?id=c3165904f3dd500b2fd89ab2e35ca3aca0f3e1e1
Submitter: Jenkins
Branch: master

commit c3165904f3dd500b2fd89ab2e35ca3aca0f3e1e1
Author: shashi.kant <email address hidden>
Date: Sat Oct 15 23:27:35 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Neutron-lbaas already uses PBR:- setuptools.setup(
     setup_requires=['pbr>=1.8'],
     pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I0e59cd1b89329042097c1ab03e83b565a99ed350
    Closes-Bug: #1608980

Reviewed: https://review.openstack.org/385955
Committed: https://git.openstack.org/cgit/openstack/solum/commit/?id=9f48b08da1117de3f73682a0ef7af56ca48f2a10
Submitter: Jenkins
Branch: master

commit 9f48b08da1117de3f73682a0ef7af56ca48f2a10
Author: Iswarya_Vakati <email address hidden>
Date: Thu Oct 13 17:51:27 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Solum already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: Id5702fee8da7ceb5d2a9dc90b584ab56973b7ea1
    Closes-Bug:#1608980

Changed in solum:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/389494
Committed: https://git.openstack.org/cgit/openstack/kosmos/commit/?id=66d461dc3bdf748b4bd416af42e19b81a46ae972
Submitter: Jenkins
Branch: master

commit 66d461dc3bdf748b4bd416af42e19b81a46ae972
Author: Tin Lam <email address hidden>
Date: Thu Oct 20 21:54:42 2016 -0500

    Remove MANIFEST.in as kosmos already uses pbr

    This patch removes the ``MANIFEST.in`` file as pbr generates
    a sensible manifest from git files. This removes the need for
    an explicit ``MANIFEST.in`` file.

    Closes-Bug: #1608980

    Change-Id: I1404016ee67a14d0a78703e2e29100fc03489b78

Changed in kosmos:
status: New → Fix Released
Hong Hui Xiao (xiaohhui) on 2016-10-24
Changed in dragonflow:
assignee: nobody → Hong Hui Xiao (xiaohhui)

Fix proposed to branch: master
Review: https://review.openstack.org/390130

Changed in dragonflow:
status: New → In Progress

Reviewed: https://review.openstack.org/390130
Committed: https://git.openstack.org/cgit/openstack/dragonflow/commit/?id=2e47068ec7ab07febc7cdf34a4f61a5015fc59da
Submitter: Jenkins
Branch: master

commit 2e47068ec7ab07febc7cdf34a4f61a5015fc59da
Author: Hong Hui Xiao <email address hidden>
Date: Mon Oct 24 08:50:59 2016 +0800

    Drop MANIFEST.in - it's not needed by pbr

    dragonflow already uses PBR:- setuptools.setup(
     setup_requires=['pbr>=1.8'],
     pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I060a1d6de972b01c19381f3fe1b5b88887eb04a7
    Closes-Bug: #1608980

Changed in dragonflow:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/386351
Committed: https://git.openstack.org/cgit/openstack/karbor/commit/?id=bf4d82f0429189ae26422db861f47058fa82c247
Submitter: Jenkins
Branch: master

commit bf4d82f0429189ae26422db861f47058fa82c247
Author: Iswarya_Vakati <email address hidden>
Date: Fri Oct 14 10:43:55 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Karbor already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: Ia1e0f3411c8be2eead9e760bb839b7902eee43bd
    Closes-Bug:#1608980

Changed in karbor:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/386348
Committed: https://git.openstack.org/cgit/openstack/ec2-api/commit/?id=897e498ce8312d4b8373a176e548edba95929bcb
Submitter: Jenkins
Branch: master

commit 897e498ce8312d4b8373a176e548edba95929bcb
Author: Iswarya_Vakati <email address hidden>
Date: Fri Oct 14 10:30:09 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Ec2-api already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I3eafb35c6a8ecd89cb5719e63954aabae7899830
    Closes-Bug:#1608980

Changed in ec2-api:
status: In Progress → Fix Released
Liyingjun (liyingjun) on 2016-11-07
Changed in searchlight:
importance: Undecided → Low

Reviewed: https://review.openstack.org/386386
Committed: https://git.openstack.org/cgit/openstack/searchlight/commit/?id=dbed7e541f678ef9fd5815a8f0e5da6ab2f17996
Submitter: Jenkins
Branch: master

commit dbed7e541f678ef9fd5815a8f0e5da6ab2f17996
Author: Iswarya_Vakati <email address hidden>
Date: Fri Oct 14 11:28:49 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Searchlight already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I4b4b789cc2ede3d207bef5bbcaa33545aebd3f1a
    Closes-Bug:#1608980

Changed in searchlight:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/386532
Committed: https://git.openstack.org/cgit/openstack/python-searchlightclient/commit/?id=48c6682c6c532f3600d4f3a5ee2aaf43656d9948
Submitter: Jenkins
Branch: master

commit 48c6682c6c532f3600d4f3a5ee2aaf43656d9948
Author: Iswarya_Vakati <email address hidden>
Date: Fri Oct 14 15:59:01 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    python-searchlightclient already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I25b3bb7eefc6e6ca59802eb405a8d0e468ac152f
    Closes-Bug:#1608980

Change abandoned by Saggi Mizrahi (<email address hidden>) on branch: master
Review: https://review.openstack.org/390177
Reason: Already Merged in another patch

This issue was fixed in the openstack/neutron-lbaas 10.0.0.0b1 development milestone.

This issue was fixed in the openstack/neutron 10.0.0.0b1 development milestone.

This issue was fixed in the openstack/keystone 11.0.0.0b1 development milestone.

This issue was fixed in the openstack/watcher 0.32.0 release.

This issue was fixed in the openstack/trove 7.0.0.0b1 development milestone.

This issue was fixed in the openstack/searchlight 2.0.0.0b1 development milestone.

avnish (avnish-palmca) on 2016-11-24
Changed in neutron-lbaas-dashboard:
assignee: avnish (avnish-palmca) → nobody
Changed in neutron-lbaas-dashboard:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in neutron-lbaas-dashboard:
assignee: iswarya vakati (v-iswarya) → nobody
Jeremy Liu (liujiong) on 2016-11-25
Changed in keystoneauth:
assignee: nobody → Jeremy Liu (liujiong)

Fix proposed to branch: master
Review: https://review.openstack.org/402367

Changed in keystoneauth:
status: New → In Progress

Reviewed: https://review.openstack.org/402367
Committed: https://git.openstack.org/cgit/openstack/keystoneauth/commit/?id=559bd5affcfc11a7e4be12497b02f6ff0ffefc2f
Submitter: Jenkins
Branch: master

commit 559bd5affcfc11a7e4be12497b02f6ff0ffefc2f
Author: Jeremy Liu <email address hidden>
Date: Fri Nov 25 17:09:38 2016 +0800

    Drop MANIFEST.in - it's not needed by pbr

    Keystoneauth already uses PBR:-
    setuptools.setup(
     setup_requires=['pbr>=1.8'],
     pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: Ibf29e5b6c5ea34a23198e88c57372f1e8bbb2fc2
    Closes-Bug: #1608980

Changed in keystoneauth:
status: In Progress → Fix Released
Spencer Yu (yushb) on 2016-11-29
Changed in keystonemiddleware:
assignee: nobody → Spencer Yu (yushb)

Fix proposed to branch: master
Review: https://review.openstack.org/403987

Changed in keystonemiddleware:
status: New → In Progress
Jane Lee (lijing) on 2016-11-29
Changed in anvil:
assignee: nobody → Jane Lee (lijing)
status: New → In Progress
Spencer Yu (yushb) on 2016-11-29
Changed in os-vif:
assignee: nobody → Spencer Yu (yushb)

Fix proposed to branch: master
Review: https://review.openstack.org/403995

Changed in os-vif:
status: New → In Progress

Change abandoned by lijing (<email address hidden>) on branch: master
Review: https://review.openstack.org/404001

Jeremy Liu (liujiong) on 2016-11-29
Changed in anvil:
status: In Progress → Invalid

Reviewed: https://review.openstack.org/403987
Committed: https://git.openstack.org/cgit/openstack/keystonemiddleware/commit/?id=77a7828fc1c07b121c1e24bc087c9f7789900446
Submitter: Jenkins
Branch: master

commit 77a7828fc1c07b121c1e24bc087c9f7789900446
Author: Spencer Yu <email address hidden>
Date: Mon Nov 28 18:46:29 2016 -0800

    Drop MANIFEST.in - it's not needed by pbr

    Keystonemiddleware already uses PBR:-
    setuptools.setup(
     setup_requires=['pbr>=1.8'],
     pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: I9886df7fc8cfe3d35795f475ddc20f4006521694
    Closes-Bug: #1608980

Changed in keystonemiddleware:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/403995
Committed: https://git.openstack.org/cgit/openstack/os-vif/commit/?id=74b38dd141ccc326e095e7ada879968ae3081878
Submitter: Jenkins
Branch: master

commit 74b38dd141ccc326e095e7ada879968ae3081878
Author: Spencer Yu <email address hidden>
Date: Mon Nov 28 19:02:42 2016 -0800

    Drop MANIFEST.in - it's not needed by pbr

    Os-vif already uses PBR:-
    setuptools.setup(
     setup_requires=['pbr>=1.8'],
     pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: Ibd7bde8bef011e56132ee6c4db6c79a724601e23
    Closes-Bug: #1608980

Changed in os-vif:
status: In Progress → Fix Released

This issue was fixed in the openstack/keystonemiddleware 4.11.0 release.

This issue was fixed in the openstack/keystoneauth 2.16.0 release.

This issue was fixed in the openstack/os-vif 1.4.0 release.

Change abandoned by iswarya vakati (<email address hidden>) on branch: master
Review: https://review.openstack.org/386392

tags: added: neutron-proactive-backport-potential
tags: removed: neutron-proactive-backport-potential

This issue was fixed in the openstack/python-searchlightclient 1.1.0 release.

This issue was fixed in the openstack/solum 5.1.0 release.

This issue was fixed in the openstack/octavia 0.10.0 release.

This issue was fixed in the openstack/neutron-lbaas-dashboard 2.0.0 release.

Reviewed: https://review.openstack.org/386513
Committed: https://git.openstack.org/cgit/openstack/swauth/commit/?id=6573269e379d65bbd68326124d193eca4e690b5e
Submitter: Jenkins
Branch: master

commit 6573269e379d65bbd68326124d193eca4e690b5e
Author: nizam <email address hidden>
Date: Fri Oct 14 15:15:02 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    swauth already uses PBR:
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: Idb30c13b6c75129e07e46cbdd75a4aa92dcb5858
    Closes-Bug: #1608980

Changed in swauth:
status: In Progress → Fix Released
Changed in glance:
importance: Undecided → Low
milestone: none → pike-1
status: New → In Progress

Reviewed: https://review.openstack.org/385881
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=155f6c9456d4a0c878bc1209cf91fadc3899a211
Submitter: Jenkins
Branch: master

commit 155f6c9456d4a0c878bc1209cf91fadc3899a211
Author: pawnesh.kumar <email address hidden>
Date: Thu Oct 13 15:27:28 2016 +0530

    Drop MANIFEST.in - it's not needed by pbr

    Glance already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=1.8'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: Ib2ec595e5a56279ca985abd1ba06c232a5daeaeb
    Closes-Bug: #1608980

Changed in glance:
status: In Progress → Fix Released
Changed in neutron-lbaas-dashboard:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in networking-midonet:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in networking-odl:
assignee: nobody → iswarya vakati (v-iswarya)
Changed in neutron-lbaas-dashboard:
assignee: iswarya vakati (v-iswarya) → nobody

Fix proposed to branch: master
Review: https://review.openstack.org/435246

Changed in networking-midonet:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/435258

Changed in networking-odl:
status: New → In Progress

Change abandoned by iswarya vakati (<email address hidden>) on branch: master
Review: https://review.openstack.org/435246
Reason: refer https://review.openstack.org/#/c/434676/

Changed in networking-midonet:
assignee: iswarya vakati (v-iswarya) → nobody

Reviewed: https://review.openstack.org/434694
Committed: https://git.openstack.org/cgit/openstack/networking-odl/commit/?id=7740d8809f14e126a15cea2b85d1156580265509
Submitter: Jenkins
Branch: master

commit 7740d8809f14e126a15cea2b85d1156580265509
Author: Isaku Yamahata <email address hidden>
Date: Wed Feb 15 23:12:35 2017 -0800

    Drop MANIFEST.in - pbr doesn't need it

    Networking-odl already uses PBR.
    PBR doesn't need MANIFEST.in

    Change-Id: I172f4105c778fd293d320cc11b193cb2f3481418
    Closes-Bug: #1608980

Changed in networking-odl:
status: In Progress → Fix Released

Change abandoned by Isaku Yamahata (<email address hidden>) on branch: master
Review: https://review.openstack.org/435258
Reason: dup https://review.openstack.org/#/c/434694/

Reviewed: https://review.openstack.org/434676
Committed: https://git.openstack.org/cgit/openstack/networking-midonet/commit/?id=bb8291786dd5158a53ae77b8aa0137af4d619c20
Submitter: Jenkins
Branch: master

commit bb8291786dd5158a53ae77b8aa0137af4d619c20
Author: Isaku Yamahata <email address hidden>
Date: Wed Feb 15 23:08:25 2017 -0800

    Drop MANIFEST.in pbr doesn't need it

    networking-midonet uses PBR.
    Now tools/check_manifest.sh doesn't make sense, remove it.

    Change-Id: Ia9e3ec7dd4beeef80a2693b89d25cca9375de554
    Closes-bug: #1608980

Changed in networking-midonet:
status: In Progress → Fix Released
Changed in neutron-lbaas-dashboard:
status: Confirmed → Fix Released

This issue was fixed in the openstack/glance 15.0.0.0b1 development milestone.

This issue was fixed in the openstack/networking-midonet 5.0.0.0b1 development milestone.

This issue was fixed in the openstack/networking-odl 11.0.0.0b1 development milestone.

Reviewed: https://review.openstack.org/479260
Committed: https://git.openstack.org/cgit/openstack/neutron-fwaas/commit/?id=675a0a2e397ef42ab15963db3c6b11c437818295
Submitter: Jenkins
Branch: master

commit 675a0a2e397ef42ab15963db3c6b11c437818295
Author: ritesh.arya <email address hidden>
Date: Fri Jun 30 16:31:46 2017 +0530

    Drop MANIFEST.in - it's not needed by pbr

    neutron-fwaas already uses PBR:-
    `setuptools.setup(setup_requires=['pbr>=2.0.0'], pbr=True)`
    This patch removes `MANIFEST.in` file as pbr generates a sensible
    manifest and therefore there is no need for an explicit 'MANIFEST.in'
    file.

    Closes-Bug: #1608980
    Change-Id: I5035fca63b9dab6f141a4996b92fbd9cfbf770a7

Fix proposed to branch: master
Review: https://review.openstack.org/499169

Changed in bgpvpn:
assignee: nobody → Thomas Morin (tmmorin-orange)
status: New → In Progress

Reviewed: https://review.openstack.org/499170
Committed: https://git.openstack.org/cgit/openstack/networking-bagpipe/commit/?id=425e1d5b3cd2d974f7b0ff47a1bb2ff17e6ce183
Submitter: Jenkins
Branch: master

commit 425e1d5b3cd2d974f7b0ff47a1bb2ff17e6ce183
Author: Thomas Morin <email address hidden>
Date: Wed Aug 30 16:30:40 2017 +0200

    Drop MANIFEST.in - it's not needed by pbr

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest and therefore there is no need for an
    explicit 'MANIFEST.in' file.

    Change-Id: Ice1f2552b080ef66beec89662a92558e4b514ea5
    Closes-Bug: 1608980

Changed in networking-bagpipe:
status: New → Fix Released
luqitao (qtlu) on 2017-08-31
Changed in storlets:
assignee: nobody → luqitao (qtlu)
Changed in tacker:
assignee: nobody → luqitao (qtlu)
status: New → In Progress
Changed in storlets:
status: New → In Progress

Reviewed: https://review.openstack.org/499409
Committed: https://git.openstack.org/cgit/openstack/tacker/commit/?id=33a43f7d54fee141479b0ec61426a4ae8972c62d
Submitter: Jenkins
Branch: master

commit 33a43f7d54fee141479b0ec61426a4ae8972c62d
Author: luqitao <email address hidden>
Date: Thu Aug 31 09:23:31 2017 +0800

    Drop MANIFEST.in - it's not needed by pbr

    Tacker already uses PBR:-
    setuptools.setup(
        setup_requires=['pbr>=2.0.0'],
        pbr=True)

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest from git files and some standard files
    and it removes the need for an explicit `MANIFEST.in` file.

    Change-Id: Ia90ea3018b42c2536af899af77de9c4c651c9b6f
    Closes-Bug: #1608980

Changed in tacker:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/499169
Committed: https://git.openstack.org/cgit/openstack/networking-bgpvpn/commit/?id=f7dc03324971e11e26822558a62509f8bd15ab66
Submitter: Jenkins
Branch: master

commit f7dc03324971e11e26822558a62509f8bd15ab66
Author: Thomas Morin <email address hidden>
Date: Wed Aug 30 15:06:44 2017 +0200

    Drop MANIFEST.in - it's not needed by pbr

    This patch removes `MANIFEST.in` file as pbr generates a
    sensible manifest and therefore there is no need for an
    explicit 'MANIFEST.in' file.

    Change-Id: Ie6275ffb65af340c066d5b4a557d8179a59d8002
    Closes-Bug: 1608980

Changed in bgpvpn:
status: In Progress → Fix Released

This issue was fixed in the openstack/networking-bagpipe 8.0.0.0b1 development milestone.

This issue was fixed in the openstack/networking-bgpvpn 8.0.0.0b1 development milestone.

This issue was fixed in the openstack/neutron-fwaas 12.0.0.0b1 development milestone.

Change abandoned by qtlu (<email address hidden>) on branch: master
Review: https://review.openstack.org/499404
Reason: This change has been merged in https://review.openstack.org/#/c/481511/

Reviewed: https://review.openstack.org/522493
Committed: https://git.openstack.org/cgit/openstack/networking-midonet/commit/?id=f2ec2ad58ce3bf1aa038c28baad46a3f1edc51ae
Submitter: Zuul
Branch: stable/ocata

commit f2ec2ad58ce3bf1aa038c28baad46a3f1edc51ae
Author: Isaku Yamahata <email address hidden>
Date: Wed Feb 15 23:08:25 2017 -0800

    Drop MANIFEST.in pbr doesn't need it

    networking-midonet uses PBR.
    Now tools/check_manifest.sh doesn't make sense, remove it.

    Change-Id: Ia9e3ec7dd4beeef80a2693b89d25cca9375de554
    Closes-bug: #1608980
    (cherry picked from commit bb8291786dd5158a53ae77b8aa0137af4d619c20)

tags: added: in-stable-ocata

This issue was fixed in the openstack/tacker 0.9.0 release.

This issue was fixed in the openstack/ec2-api 7.0.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers